$ErrorActionPreference = 'Stop';

$packageName = 'SwissFileKnife'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.9.7.2/sfk197.exe/download'
$url64      = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.9.7.2/sfk197.exe/download'

$installerPackage = Join-Path $toolsDir "sfk.exe";

$packageArgs = @{
  packageName   = $packageName
  fileFullPath  = $installerPackage
  url           = $url
  url64bit      = $url64

  checksum      = 'd968d66bfb12317e5ac047a9a34e0a004fe8d967c470ff979ddbf3858cf85af1'
  checksumType  = 'sha256'
  checksum64    = 'd968d66bfb12317e5ac047a9a34e0a004fe8d967c470ff979ddbf3858cf85af1'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
